WMS doesn't set the QGIS Project Projection
Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13938

Description

Whilst the GUI can handle the selection of which Coordinate Reference System the WMS server should return its image in, that selection

is not propagated to the QGIS Map Canvas Projection.

This should be fixed so that layers with mixed source projections can still coexist on the same Map Canvas (in the correct positions!)

A possible fix is to abstract the Map Canvas projection to its own class, and it can handle requests to either change the Map Canvas

projection, or ask the requestor to change its source projection to the existing Map Canvas projection.

Prefer this is fixed before 0.8, to avoid subtle projection hassles.

History

#1 - 2006-07-19 06:40 PM - Brendan Morley -

- Status changed from Open to In Progress

#2 - 2006-07-23 07:45 PM - Brendan Morley -

- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed in commit:e57f22e0 (SVN r5628).  There is a followup issue in #204 but that can be addressed in a post-0.8 timeframe.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
